Bug 68091 - Package file names are inconsistently capitalized.
Package file names are inconsistently capitalized.
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2002-07-06 03:30 EDT by Mike MacCana
Modified: 2014-03-16 22:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-01 15:47:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2002-07-06 03:30:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
As far as I can see, there seems to be no particular set of rules for determing whether a package name is captialized. Compare:

* GConf and gconf-editor
* mysql and mysql-server with MySQL-Python and MyODBC.
* python, pygtk2, and PyQt and PyXML
* ORBit and orbit-python
* SDL and smpeg.
* xinitrc and XFree86
* Xaw3d and xawtv. 
* gimp and ImageMagick

Administrators therefore cannot reliably predict the name of a given package file without using a specific tool, and may often assume that a particular program is not supplied with Red Hat Linux because it does not share the same name as similar programs, or the program to when it is a plugin, etc.

or cWnn, ElectrixFence, FreeWnn and GuppiMagicPoint and MADEDEV

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
A test case:
1.Install python.
2.Try and guess the name of the package that provides pyqt (knowing that most packages that come with Red Hat Linux are in lowercase)

Actual Results:  The package is called capital P, lowercase y, capital Q, lowercase t

Expected Results:  It should have been named in the same was that the `python' package was. 

Additional info:

Consistently naming packages doesn't fix a major problem, but it will mean one less task for administrators when installing packages on their Red hat Linux systems.
Comment 1 Bill Nottingham 2005-03-01 15:47:36 EST
There are currently package naming guidelines in Fedora Extras:


This can also be used for newer packages. However, I think renaming old packages
isn't really worth the migration effort.

Note You need to log in before you can comment on or make changes to this bug.